Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
test::Unit Interface Reference

Test interface for PDU components controlled by topofw. More...

## Public Member Functions
vector< Display > | getDisplays ()
| Retrieve all Displays attached to the unit. More...
vector< boolean > | getButtonStates ()
| Retrieve state of all buttons attached to the unit. More...
void | setBuzzer (in boolean isOn)
| Force on the buzzer. More...
void | resetAllSubControllers ()
| Reset all sub controllers via RS485 break condition.
void | triggerSubControllerWatchdog (in int rs485Addr)
| Trigger watchdog of a selected sub controller. More...

## Detailed Description

Test interface for PDU components controlled by topofw.

## Member Function Documentation

## ◆ getButtonStates()

vector< boolean > test::Unit::getButtonStates | ( |  | ) |

Retrieve state of all buttons attached to the unit.

Note that semantics of the buttons is not defined by this interface, although it is garanteed that the order in which states are returned will not change.

Returns
  List of button states (`true` if pressed)

## ◆ getDisplays()

vector< Display > test::Unit::getDisplays | ( |  | ) |

Retrieve all Displays attached to the unit.

Returns
  List of displays

## ◆ setBuzzer()

void test::Unit::setBuzzer | ( | in boolean | isOn | ) |

Force on the buzzer.

Parameters

  isOn | `true` to force buzzer on, `false` for normal mode

## ◆ triggerSubControllerWatchdog()

void test::Unit::triggerSubControllerWatchdog | ( | in int | rs485Addr | ) |

Trigger watchdog of a selected sub controller.

Parameters

  rs485Addr | RS485 address of the sub controller to trigger the watchdog for.

The documentation for this interface was generated from the following file:

- TestUnit.idl